Folks.NoteFieldDetails – folks Reference Manual

# NoteFieldDetails

## Object Hierarchy:

## Description:

public class NoteFieldDetails : AbstractFieldDetails<string>

Object representing a note that can have some parameters associated with it.

See Folks.AbstractFieldDetails for details on common parameter names and values.

## Since:

0.6.0

Namespace: Folks
Package: folks

## Content:

### Properties:

- public override string id { get; set; }
  A unique ID (if any) for this specific detail.
- public string uid { get; set; }
  The UID of the note (if any).

### Creation methods:

- public NoteFieldDetails (string value, MultiMap<string,string>? parameters = null, string? uid = null)
  Create a new NoteFieldDetails.

### Methods:

- public override bool equal (AbstractFieldDetails<string> that)
  A fairly-strict equality function for AbstractFieldDetails.
- public override uint hash ()
  A hash function for the AbstractFieldDetails.

### Inherited Members:

All known members inherited from class Folks.AbstractFieldDetails

- PARAM_TYPE
- PARAM_TYPE_HOME
- PARAM_TYPE_OTHER
- PARAM_TYPE_WORK
- add_parameter
- equal
- equal_static

- extend_parameters
- get_parameter_values
- hash
- hash_static
- id
- parameters

- parameters_equal
- remove_parameter_all
- set_parameter
- value
- value_type
- values_equal

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref